- [HTTP request](https://developers.google.com/workspace/meet/api/reference/rest/v2/conferenceRecords.transcripts.entries/list#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/workspace/meet/api/reference/rest/v2/conferenceRecords.transcripts.entries/list#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/workspace/meet/api/reference/rest/v2/conferenceRecords.transcripts.entries/list#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/workspace/meet/api/reference/rest/v2/conferenceRecords.transcripts.entries/list#body.request_body)
- [Response body](https://developers.google.com/workspace/meet/api/reference/rest/v2/conferenceRecords.transcripts.entries/list#body.response_body)
  - [JSON representation](https://developers.google.com/workspace/meet/api/reference/rest/v2/conferenceRecords.transcripts.entries/list#body.ListTranscriptEntriesResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/workspace/meet/api/reference/rest/v2/conferenceRecords.transcripts.entries/list#body.aspect)
- [Try it!](https://developers.google.com/workspace/meet/api/reference/rest/v2/conferenceRecords.transcripts.entries/list#try-it)

Lists the structured transcript entries per transcript. By default, ordered by start time and in ascending order. For more information, see [Work with artifacts](https://developers.google.com/workspace/meet/api/guides/artifacts).

Note: The transcript entries returned by the Google Meet API might not match the transcription found in the Google Docs transcript file. This can occur when 1) we have interleaved speakers within milliseconds, or 2) the Google Docs transcript file is modified after generation.

### HTTP request

`GET https://meet.googleapis.com/v2/{parent=conferenceRecords/*/transcripts/*}/entries`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. Format: `conferenceRecords/{conferenceRecord}/transcripts/{transcript}` |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` Maximum number of entries to return. The service might return fewer than this value. If unspecified, at most 10 entries are returned. The maximum value is 100; values above 100 are coerced to 100. Maximum might change in the future. |
| `pageToken` | `string` Page token returned from previous List Call. |

### Request body

The request body must be empty.

### Response body

Response for entries.list method.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "transcriptEntries": [ { object (`https://developers.google.com/workspace/meet/api/reference/rest/v2/conferenceRecords.transcripts.entries#TranscriptEntry`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `transcriptEntries[]` | ``object (`https://developers.google.com/workspace/meet/api/reference/rest/v2/conferenceRecords.transcripts.entries#TranscriptEntry`)`` List of TranscriptEntries in one page. |
| `nextPageToken` | `string` Token to be circulated back for further List call if current List doesn't include all the transcript entries. Unset if all entries are returned. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/meetings.space.created`
- `https://www.googleapis.com/auth/meetings.space.readonly`

For more information, see the [Authorization guide](https://developers.google.com/workspace/guides/configure-oauth-consent).